FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Get Banking Transaction Refresh

Query the status of a previously submitted asynchronous banking transaction refresh.

AI Actions
GET
/v1/banking/transactions/refresh/{refresh_id}

Query the status of a previously submitted asynchronous banking transaction refresh.

Path Parameters

refresh_idstringrequired

A unique identifier specifying the refresh job.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.fiskil.com/v1/banking/transactions/refresh/ref_7625250e-6c39-46d2-a430-511e8228f77b"
{
  "created_at": "2024-09-11T09:00:00Z",
  "end_user_id": "eu_abcdef123",
  "refresh_id": "ref_7625250e-6c39-46d2-a430-511e8228f77b",
  "status": "pending",
  "updated_at": "2024-09-11T09:00:00Z"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}
{
  "id": "string",
  "message": "string",
  "name": "string"
}

Was this page helpful?

Refresh Banking TransactionsGet customer details

Assistant